Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Interface PresentationModelBinder

All Superinterfaces:
  BeanBinder, ObjectBinder

All Known Subinterfaces:
  ActionPresentationModelBinder

All Known Implementing Classes:
  PresentationModelBinderImpl

    public interface PresentationModelBinder

extends BeanBinder

Adds binding capabilities for bean property names to its superclass that can bind ValueModels, SelectionInLists, Actions, and ListModel + ListSelectionModel. Note that you can bind properties of the presentation model's bean (#bindBeanProperty) as well as properties of the presentation model itself (#bindProperty).

Since:
  2.3
Version:
  $Revision: 1.1 $
Author:
  Karsten Lentzsch

Method Summary
`ValueModelBindingBuilder` | `bindBeanProperty(String propertyName)` Creates and returns a binding builder that manages a ValueModel that can be operated on and that can be bound to a component.

Methods inherited from interface com.jgoodies.binding.binder.BeanBinder
`bindProperty`

Methods inherited from interface com.jgoodies.binding.binder.ObjectBinder
`bind, bind, bind, bind`

Method Detail

### bindBeanProperty

    ValueModelBindingBuilder bindBeanProperty(String propertyName)

  Creates and returns a binding builder that manages a ValueModel that can be operated on and that can be bound to a component.

  Example: `binder.bindBeanProperty("artist").to(artistField);`

  Parameters:
    `propertyName` - the name of the property of the presentation model's bean
  Returns:
    the binding builder that holds the converted bean property
  Throws:
    `NullPointerException` - if `propertyName` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 JGoodies Karsten Lentzsch. All Rights Reserved.